=== debian/changelog ===
girara (0.2.8-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Move to salsa.debian.org.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Dec 2017 16:15:31 +0100

girara (0.2.8-1) experimental; urgency=medium

  * New upstream release.
    - Fix CSS issues with newer GTK+ 3. (Closes: #870470)
  * SONAME bump: libgirara-gtk3-2 => libgirara-gtk3-3.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Bump Standards-Version.
    - Bump libgtk-3-dev and libglib2.0-dev B-Ds according to upstream
      requirements.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 Dec 2017 19:19:30 +0100
