=== debian/control ===
Source: girara
Section: libs
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 check,
 debhelper (>= 11),
 gettext,
 libglib2.0-dev (>= 2.50),
 libgtk-3-dev (>= 3.20),
 libjson-c-dev,
 libnotify-dev,
 pkg-config,
 xauth,
 xvfb
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/sramacher/girara.git
Vcs-Browser: https://salsa.debian.org/sramacher/girara
Homepage: https://pwmt.org/projects/girara/

Package: libgirara-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgirara-gtk3-3 (= ${binary:Version}),
 libgtk-3-dev (>= 3.20),
 libnotify-dev,
 libjson-c-dev,
 ${misc:Depends}
Suggests:
 libgirara-doc (= ${source:Version})
Description: library for minimalistic user interfaces (development files)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the development files.

Package: libgirara-gtk3-3
Architecture: any
Multi-Arch: same
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for minimalistic user interfaces (shared libraries)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the shared libraries.

Package: libgirara-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for minimalistic user interfaces (documentation)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the documentation.
