=== debian/changelog ===
girara (0.3.0-3) unstable; urgency=medium

  * debian/patches: Mark tests as skipped if setup fails.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 May 2018 09:35:43 +0200

girara (0.3.0-2) unstable; urgency=medium

  * debian/patches: Fail early for empty icon names.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 17:59:46 +0200

girara (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patches from upstream.
  * debian/control:
    - Bump Standards-Version.
    - Add B-D on pango.
    - Remove libnotify. The feature is not used by zathura.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 15:21:35 +0200

girara (0.2.9-2) unstable; urgency=medium

  * debian/patches: Increase meson test output and don't run tests in parallel.
  * debian/rules:
    - Disable check timeouts again.
    - Build with all hardening flags.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Mar 2018 10:10:31 +0100

girara (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update Standards-Version.
  * debian/: Update to new meson build system.
  * debian/libgirara-gtk3-3.symbols:
    - Add new symbol.
    - Remove internal symbols.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Mar 2018 15:30:54 +0100
