=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.20),
  libjson-c-dev,
- libnotify-dev,
+ libpango1.0-dev,
+ meson (>= 0.43),
  pkg-config,
  xauth,
  xvfb
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -28,8 +29,8 @@
 Depends:
  libgirara-gtk3-3 (= ${binary:Version}),
  libgtk-3-dev (>= 3.20),
- libnotify-dev,
  libjson-c-dev,
+ libpango1.0-dev,
  ${misc:Depends}
 Suggests:
  libgirara-doc (= ${source:Version})
