=== debian/changelog ===
girara (0.3.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Oct 2018 18:26:02 -0700

girara (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Removed, no longer needed.
  * debian/control:
    - Bump Standards-Version.
    - Set Rules-Requires-Root: no.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Sep 2018 21:09:05 +0200
