=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
  debhelper (>= 11),
@@ -17,10 +18,11 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
+Rules-Requires-Root: no
 
 Package: libgirara-dev
 Architecture: any
