## girara 0.3.2

=== debian/changelog ===
girara (0.3.2-1+rpi1) buster-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 31 Dec 2018 06:02:49 +0000

girara (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump meson B-D to 0.47.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Dec 2018 16:21:20 +0100
