=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
  debhelper (>= 11),
@@ -11,7 +10,7 @@
  libgtk-3-dev (>= 3.20),
  libjson-c-dev,
  libpango1.0-dev,
- meson (>= 0.43),
+ meson (>= 0.47),
  pkg-config,
  xauth,
  xvfb
