=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use all hardening flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Disable check's timeout functionality
export CK_DEFAULT_TIMEOUT=0

%:
	dh $@

override_dh_auto_test-arch:
	#xvfb-run -a dh_auto_test -a

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	find -name *.md5 -delete
endif

override_dh_auto_test-indep override_dh_auto_install-indep:
	# no tests and install for indep
