=== debian/watch ===
version=4
https://pwmt.org/projects/girara/download girara-(.*)\.tar\.xz
