=== debian/changelog ===
girara (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2020 10:47:59 +0100

girara (0.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Fix meson B-D.
    - Bump debhelper comapt to 12.
    - Bump Standards-Version.
  * debian/libgirara-gtk3.symbols: Add new symbol.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 15:04:52 +0200
