=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  gettext,
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.20),
  libjson-c-dev,
  libpango1.0-dev,
- meson (>= 0.47),
+ meson (>= 0.48),
  pkg-config,
  xauth,
  xvfb
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
