## girara 0.3.5

=== debian/changelog ===
girara (0.3.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Jul 2020 17:26:27 +0200
