=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.20),
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
