## girara 0.3.6

=== debian/changelog ===
girara (0.3.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 11:20:11 +0200

girara (0.3.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/libgirara-gtk3.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Jul 2021 21:31:04 +0200
