=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
  check,
  debhelper-compat (= 13),
  gettext,
- libglib2.0-dev (>= 2.50),
- libgtk-3-dev (>= 3.20),
+ libglib2.0-dev,
+ libgtk-3-dev,
  libjson-c-dev,
  libpango1.0-dev,
- meson (>= 0.48),
+ meson,
  pkg-config,
  xauth,
  xvfb
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -29,7 +29,7 @@
 Multi-Arch: same
 Depends:
  libgirara-gtk3-3 (= ${binary:Version}),
- libgtk-3-dev (>= 3.20),
+ libgtk-3-dev,
  libjson-c-dev,
  libpango1.0-dev,
  ${misc:Depends}
