## girara 0.4.0

=== debian/changelog ===
girara (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 18 Mar 2023 21:22:26 +0100

girara (0.3.9-1) unstable; urgency=medium

  * New upstream version 0.3.9
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Jan 2023 17:03:59 +0100

girara (0.3.8-1) unstable; urgency=medium

  * New upstream version 0.3.8
  * debian/control:
    - Update build dependencies
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Nov 2022 17:16:16 +0100
