=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  gettext,
  libglib2.0-dev,
  libgtk-3-dev,
- libjson-c-dev,
+ libjson-glib-dev,
  libpango1.0-dev,
  meson,
  pkg-config,
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -30,7 +30,7 @@
 Depends:
  libgirara-gtk3-3 (= ${binary:Version}),
  libgtk-3-dev,
- libjson-c-dev,
+ libjson-glib-dev,
  libpango1.0-dev,
  ${misc:Depends}
 Suggests:
