=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@
 
 override_dh_auto_test-arch:
-	#xvfb-run -a dh_auto_test -a
+	xvfb-run -a dh_auto_test -a
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
