## girara 0.4.2

=== debian/changelog ===
girara (0.4.2-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:07:43 +0000

girara (0.4.2-1.1build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:10:23 +0000

girara (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062126

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:14:31 +0000

girara (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
    - Ellipsize status bar (Closes: #1060314)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Jan 2024 19:00:24 +0100

girara (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * debian/rules: Refactor
  * debian/libgirara-gtk3-3.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Dec 2023 18:52:55 +0100
