=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
  check,
  debhelper-compat (= 13),
  gettext,
@@ -28,7 +29,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk3-3 (= ${binary:Version}),
+ libgirara-gtk3-3t64 (= ${binary:Version}),
  libgtk-3-dev,
  libjson-glib-dev,
  libpango1.0-dev,
@@ -43,7 +44,10 @@
  .
  This package contains the development files.
 
-Package: libgirara-gtk3-3
+Package: libgirara-gtk3-3t64
+Provides: ${t64:Provides}
+Replaces: libgirara-gtk3-3
+Breaks: libgirara-gtk3-3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
