=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,7 @@
 %:
 	dh $@
 
-override_dh_auto_test-arch:
-	xvfb-run -a dh_auto_test -a
-
-override_dh_auto_build-indep:
-	dh_auto_build -i
+execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	find -name *.md5 -delete
 endif
