## girara 0.4.4

=== debian/changelog ===
girara (0.4.4-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.4.4
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 23:30:27 +0200

girara (0.4.3-1) experimental; urgency=medium

  * New upstream version 0.4.3
  * debian/copyright: Update copyright years
  * SONAME bump: libgirara-gtk3-3 -> libgirara-gtk3-4
  * debian/copyright:
    * Switch pkg-config to pkgconf
    * Mark test dependencies with <!nocheck>

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Mar 2024 17:06:13 +0100
