=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
- check,
+ check <!nocheck>,
  debhelper-compat (= 13),
  gettext,
  libglib2.0-dev,
@@ -12,13 +11,13 @@
  libjson-glib-dev,
  libpango1.0-dev,
  meson,
- pkg-config,
- xauth,
- xvfb
+ pkgconf,
+ xauth <!nocheck>,
+ xvfb <!nocheck>
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -29,7 +28,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk3-3t64 (= ${binary:Version}),
+ libgirara-gtk3-4 (= ${binary:Version}),
  libgtk-3-dev,
  libjson-glib-dev,
  libpango1.0-dev,
@@ -44,10 +43,7 @@
  .
  This package contains the development files.
 
-Package: libgirara-gtk3-3t64
-Provides: ${t64:Provides}
-Replaces: libgirara-gtk3-3
-Breaks: libgirara-gtk3-3 (<< ${source:Version})
+Package: libgirara-gtk3-4
 Architecture: any
 Multi-Arch: same
 Depends:
