## girara 0.4.5

=== debian/changelog ===
girara (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5
  * debian/: Remove testing with check

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Dec 2024 23:39:16 +0100
