=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
- check <!nocheck>,
  debhelper-compat (= 13),
  gettext,
  libglib2.0-dev,
