## girara 2026.01.30

=== debian/changelog ===
girara (2026.01.30-1) experimental; urgency=medium

  * New upstream version 2026.01.30
  * SONAME bump: libgirara-gtk3-4 -> libgirara-gtk3-5
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
    - Drop Priority: optional

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Jan 2026 22:20:40 +0100
