=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: girara
 Section: libs
-Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
@@ -16,18 +15,17 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
-Rules-Requires-Root: no
 
 Package: libgirara-dev
 Architecture: any
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk3-4 (= ${binary:Version}),
+ libgirara-gtk3-5 (= ${binary:Version}),
  libgtk-3-dev,
  libjson-glib-dev,
  libpango1.0-dev,
@@ -42,7 +40,7 @@
  .
  This package contains the development files.
 
-Package: libgirara-gtk3-4
+Package: libgirara-gtk3-5
 Architecture: any
 Multi-Arch: same
 Depends:
