## girara 2026.02.03

=== debian/changelog ===
girara (2026.02.03-1) experimental; urgency=medium

  * New upstream version 2026.02.03
  * SONAME hange: libgirara-gtk3-5 -> libgirara5
  * debian/control:
    - Update (build) dependencies for new version
    - Update package descriptions for reduced functionality

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Feb 2026 22:13:09 +0100
