## girara 2026.02.04

=== meson_options.txt ===
option('docs',
  type: 'feature',
  value: 'auto',
  description: 'doxygen API documentation'
)
option('tests',
  type: 'feature',
  value: 'auto',
  description: 'run tests'
)
