=== debian/changelog ===
girara (2026.02.04-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 07 Feb 2026 21:45:52 +0100

girara (2026.02.04-1) experimental; urgency=medium

  * New upstream version 2026.02.04

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Feb 2026 09:17:52 +0100
