=== debian/control ===
Source: girara
Section: libs
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 meson,
 pkgconf
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/sramacher/girara.git
Vcs-Browser: https://salsa.debian.org/sramacher/girara
Homepage: https://pwmt.org/projects/girara/

Package: libgirara-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgirara5 (= ${binary:Version}),
 libglib2.0-dev,
 ${misc:Depends}
Suggests:
 libgirara-doc (= ${source:Version})
Description: common components for zathura and its plugins (development files)
 A library focused at implementing minimalistic user interfaces. It provides
 common datastructures and interfaces used by the document viewer and its
 plugins.
 .
 This package contains the development files.

Package: libgirara5
Architecture: any
Multi-Arch: same
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: common components for zathura and its plugins (shared libraries)
 A library focused at implementing minimalistic user interfaces. It provides
 common datastructures and interfaces used by the document viewer and its
 plugins.
 .
 This package contains the shared libraries.

Package: libgirara-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: common components for zathura and its plugins (documentation)
 A library focused at implementing minimalistic user interfaces. It provides
 common datastructures and interfaces used by the document viewer and its
 plugins.
 .
 This package contains the documentation.
