=== debian/watch ===
Version: 5

Source: https://pwmt.org/projects/girara/download/
Matching-Pattern: girara-(.*)\.tar\.xz
